Package org.apache.maven.scm.provider.git.command.update

## Class GitUpdateScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.update.UpdateScmResult
    - - org.apache.maven.scm.command.update.UpdateScmResultWithRevision
      - - org.apache.maven.scm.provider.git.command.update.GitUpdateScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class GitUpdateScmResult
    extends UpdateScmResultWithRevision

Deprecated.

Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`GitUpdateScmResult​(java.lang.String commandLine, java.util.List<ScmFile> updatedFiles, int revision)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResultWithRevision

`getRevision`

### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResult

`getChanges, getUpdatedFiles, setChanges`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitUpdateScmResult

    public GitUpdateScmResult​(java.lang.String commandLine,
                              java.util.List<ScmFile> updatedFiles,
                              int revision)

Deprecated.